#include <stdio.h>
#include "../include/pdictype.h"

///////////////////////////////////////////////////////////////////////////
//ヘッダの読み込み
//#pragma pack(push,1)
int pdicHeaderLoad(FILE *fp,newdic3 *h)
{
  fread(h,sizeof(newdic3),1,fp);
	return 1;
}
//#pragma pack(pop)
///////////////////////////////////////////////////////////////////////////
//
guint32 bpoint(newdic3 *h,short block)
{
	return 0x100+h->extheader+h->block_size*(h->index_block+block);
}
///////////////////////////////////////////////////////////////////////////
//
int header_print(newdic3 *h)
{
	if(h->version==0)return -1;

	printf("-----------------------------------\n");
	printf("version                      0x%x\n",h->version);
	printf("見出しの最大長               %d\n",h->lword);
	printf("訳語の最大長                 %d\n",h->ljapa);
	printf("\n");
	printf("使用OS                       %d\n",h->os);
	printf("\n");
	printf("登録単語数                   %ld語\n",h->nword);
	printf("\n");
	printf("辞書の属性                   %d\n",h->dictype);
	printf("\n");
	printf("インデックス使用数           %d\n",h->index_block);
	printf("インデックス要素数           %d \n",h->nindex);
	printf("インデックスサイズ           0x%x\n",h->index_block*h->block_size);
	printf("\n");
	printf("データブロックサイズ         %d\n",h->block_size);
	printf("使用データブロック数         %d\n",h->nblock);
	printf("データブロックサイズ         0x%x\n",h->nblock*h->block_size);
	printf("\n");
	printf("インデックスビットサイズ     %d \n",(h->index_blkbit==0) ? 16 : 32);
	printf("\n");
	printf("空きブロック     %ld \n",h->empty_block2);
	printf("-----------------------------------\n");

	return 0;
}


